import { CSSProperties } from 'react';
export interface IFormChild {
    valid(): boolean;
    getDOMNode(): Element | null | undefined;
}
export interface IZentFormChildrenContext {
    children: IFormChild[];
}
export declare const FormChildrenContext: import("react").Context<IZentFormChildrenContext>;
export declare function useFormChildrenContext(): IZentFormChildrenContext;
export interface IZentFormContext {
    labelStyle?: CSSProperties;
    controlStyle?: CSSProperties;
}
export declare const FormContext: import("react").Context<IZentFormContext>;
